import { defineConfig } from 'umi';

export default defineConfig({
  nodeModulesTransform: {
    type: 'none',
  },
  favicon: '/favicon.png',
  title: 'svga预览',
  hash: true,
  headScripts: [
    // 'http://sp.qn.panygo.com/static/qiniu/qiniu-web.js'
  ],
  outputPath: './svgapc',
  routes: [{ path: '/', component: '@/pages/index' }],
  proxy: {
    '/api-app': {
      // target: 'http://api.timichat.net',
      target: 'http://localhost:9201',
      changeOrigin: true,
      //pathRewrite: { '^/server': '' },
    },
    '/api-common': {
      // target: 'http://api.timichat.net',
      target: 'http://localhost:9230',
      changeOrigin: true,
      //pathRewrite: { '^/server': '' },
    },
    '/private-file': {
      // target: 'http://svgapc.m.timichat.net',
      target: 'http://localhost:9201',
      changeOrigin: true,
      //pathRewrite: { '^/server': '' },
    },
  },
});
